%define	name	jfsprogs
%define	rname	jfsutils
%define	version	1.1.11
%define	release	%mkrel 2

Summary:	IBM JFS utility programs
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://jfs.sourceforge.net/
Source0:	http://www10.software.ibm.com/developer/opensource/jfs/project/pub/%{rname}-%{version}.tar.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRequires:	e2fsprogs-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
IBM's journaled file system technology, currently used in IBM
enterprise servers, is designed for high-throughput
server environments, key to running intranet and other
high-performance e-business file servers. IBM is
contributing this technology to the Linux open source
community with the hope that some or all of it will be
useful in bringing the best of journaling capabilities to
the Linux operating system.

%prep
%setup -q -n %{rname}-%{version}

%build
%configure2_5x	--sbindir=/sbin
%make 

%install
rm -rf %{buildroot}

%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/*/*


%changelog
* Wed May 09 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1.11-2mdv2008.0
+ Revision: 25775
- build on all archs, drop ExclusiveArch
- update url
- Import jfsprogs



* Wed Sep 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.1.11-1mdv2007.0
- updated to version 1.1.11 (#25275)
- fix buffer overflow/segfault (#24027)

* Fri Jan 20 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.1.7-4mdk
- build on ppc64

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.1.7-3mdk
- Rebuild

* Wed Nov  3 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.7-2mdk
- build on x86_64

* Wed Aug 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.7-1mdk
- 1.1.7
- drop useless prefix
- cosmetics

* Thu Apr 29 2004 Juan Quintela <quintela@mandrakesoft.com> 1.1.6-1mdk
- remove patch inserted in 1.1.4, included upstream.
- 1.1.6.

* Thu Feb 26 2004 Thomas Backlund <tmb@mandrake.org> 1.1.4-2mdk
- updates from cvs
  * tune/tune.c: Don't use O_EXCL unless filesystem should be unmounted
  * xpeek/xpeek.c: Don't use O_EXCL
  * libfs/devices.h: remove dev_to_kdev
  * libfs/logredo.c: likewise
  * mkfs/mkfs.c: likewise
  * tune/tune.c: likewise
  * libfs/fsckmsgdef.c: fix errant message that caused a seg fault
  * fsck/fsckconn.c: likewise
  * fsck/fsckmeta.c: Rework duplicate block checking to avoid horrible
    performance
  * fsck/fsckwsp.c: likewise
  * fsck/xfsckint.h: likewise
  * libfs/fsckwsp.h: likewise
  * libfs/fsck_message.h: Remove redundant semicolons
  * libfs/log_work.c: fix replaying of symlink journal records
  * fsck/xchkdsk.c: fix buffer overflow
  * fsck/fsckdire.c: zero directory index field
  * fsck/fsckdtre.c: shorten names in lost+found

* Thu Feb 26 2004 Frederic Lepied <flepied@mandrakesoft.com>  1.1.4-1mdk
- New release 1.1.4

* Mon Apr 21 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.24-2mdk
- BuildRequires

* Tue Jan  7 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.24-1mdk
- Bump to version 1.0.24.

* Wed Aug 14 2002 Juan Quintela <quintela@mandrakesoft.com> 1.0.21-1mdk
- 1.0.21.

* Tue Jan 29 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.14-1mdk
- 1.0.14.

* Fri Jan 11 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.12-1mdk
- 1.0.12.

* Thu Nov 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10.

* Fri Oct 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.7-2mdk
- Compile only on ia32.

* Thu Oct 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7.

* Wed Oct  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6.

* Mon Sep 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5.

* Sat Sep  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4.

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-1mdk
- Use optflags.
- 1.0.3.

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2.

* Wed Aug  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First version.

# end of file
